FreeBSD : libofx -- exploitable buffer overflow (58fafead-cd13-472f-a9bd-d0173ba1b04c)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Talos developers report :

An exploitable buffer overflow vulnerability exists in the tag parsing
functionality of LibOFX 0.9.11. A specially crafted OFX file can cause
a write out of bounds resulting in a buffer overflow on the stack. An
attacker can construct a malicious OFX file to trigger this
vulnerability.

See also :

http://www.securityfocus.com/bid/100828
http://www.nessus.org/u?47bc4a42
http://www.nessus.org/u?b9b17e5b

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 103524 ()

Bugtraq ID:

CVE ID: CVE-2017-2816

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now